PDA

View Full Version : No native IIS7 support for Web Service Extensions?



Bruno Walter
06-25-2007, 04:39 PM
I was under the impression that IS2008 was supposed to have native support for IIS7, but it seems that the installer will fail when creating Web Service Extensions unless "IIS Metabase and IIS 6 configuration compatibility" is installed on Vista. Is this a known limitation of IS2008?

DebbieL
06-25-2007, 05:30 PM
On systems with IIS 7, Web service extensions require that the IIS Metabase and IIS 6 Configuration Compatibility feature be installed. If it is not installed, the installation’s log file may show error -2147467259 to inform you that this feature may be required. As I understand it, this is a requirement of Web service extensions on IIS 7, not a limitation of InstallShield.

This is mentioned under the third bullet point in the Version-Specific Information for IIS Support (http://helpnet.macrovision.com/Robo/BIN/Robo.dll?tpc=/robo/projects/installshield14helplib/IISVersions.htm) help topic in the InstallShield help.

I hope that helps.

Debbie Landers
Macrovision Corporation

davidh
06-26-2007, 10:50 AM
I created IOC-000061585 to investigate removing this requirement.